package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 租户网络关系表
 * 
 * @author wangyu
 * @version 1.0
 * @since 2018年1月5日
 *
 */
@Table("tenant_network")
public class TenantNetwork extends Generic {

	// ID
	@PK(PKStrategy.AUTO)
	private Long id;
	// 网络ID
	@Column("network_id")
	private Long networkId;
	// 云平台ID
	@Column("vendor_id")
	private Long vendorId;
	// 租户ID
	@Column("tenant_id")
	private Long tenantId;
	@Column("project_id")
	private Long projectId;
	@IgnoreAll
	private String tenantName;

	/**
	 * 
	 */
	public TenantNetwork() {
		super();
	}

	/**
	 * @param networkId
	 * @param vendorId
	 * @param tenantId
	 * @param projectId
	 */
	public TenantNetwork(Long networkId, Long vendorId, Long tenantId, Long projectId) {
		super();
		this.networkId = networkId;
		this.vendorId = vendorId;
		this.tenantId = tenantId;
		this.projectId = projectId;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the networkId
	 */
	public Long getNetworkId() {
		return networkId;
	}

	/**
	 * @param networkId
	 *            the networkId to set
	 */
	public void setNetworkId(Long networkId) {
		this.networkId = networkId;
	}

	/**
	 * @return the vendorId
	 */
	public Long getVendorId() {
		return vendorId;
	}

	/**
	 * @param vendorId
	 *            the vendorId to set
	 */
	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	/**
	 * @return the tenantId
	 */
	public Long getTenantId() {
		return tenantId;
	}

	/**
	 * @param tenantId
	 *            the tenantId to set
	 */
	public void setTenantId(Long tenantId) {
		this.tenantId = tenantId;
	}

	public Long getProjectId() {
		return projectId;
	}

	public void setProjectId(Long projectId) {
		this.projectId = projectId;
	}

	/**
	 * @return the tenantName
	 */
	public String getTenantName() {
		return tenantName;
	}

	/**
	 * @param tenantName
	 *            the tenantName to set
	 */
	public void setTenantName(String tenantName) {
		this.tenantName = tenantName;
	}

}
